ArcDeleteOperation (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.graph, class: ArcDeleteOperation

# Class ArcDeleteOperation

java.lang.Object
org.apache.cayenne.graph.NodeDiff
org.apache.cayenne.graph.ArcDeleteOperation

All Implemented Interfaces:
  `Serializable, Comparable<NodeDiff>, GraphDiff`

public class ArcDeleteOperation extends NodeDiff

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArcId`
  `arcId`
  `protected Object`
  `targetNodeId`

  ### Fields inherited from class NodeDiff

  `diffId, nodeId`
  Modifier and Type
  Field
  Description
  `protected int`
  `diffId`
  `protected Object`
  `nodeId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArcDeleteOperation(Object nodeId, Object targetNodeId, ArcId arcId)`
  `ArcDeleteOperation(Object nodeId, Object targetNodeId, ArcId arcId, int diffId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(GraphChangeHandler tracker)`
  Calls appropriate methods on the handler to "replay" this change.
  `Object`
  `getArcId()`
  `Object`
  `getTargetNodeId()`
  `void`
  `undo(GraphChangeHandler tracker)`
  Calls appropriate methods on the handler to revert this change.

  ### Methods inherited from class NodeDiff

  `compareTo, getDiffId, getNodeId, isNoop, setDiffId`
  Modifier and Type
  Method
  Description
  `int`
  `compareTo(NodeDiff o)`
  Implements a Comparable interface method to compare based on diffId property.
  `int`
  `getDiffId()`
  Returns an id of this diff that can be used for various purposes, such as identifying the order of the diff in a sequence.
  `Object`
  `getNodeId()`
  `boolean`
  `isNoop()`
  Returns true if this diff is simply a placeholder and does not perform any actual operation.
  `void`
  `setDiffId(int diffId)`
  Sets an id of this diff that can be used for various purposes, such as identifying the order of the diff in a sequence.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### targetNodeId

    protected Object targetNodeId

  - ### arcId

    protected ArcId arcId

- ## Constructor Details

  - ### ArcDeleteOperation

    public ArcDeleteOperation(Object nodeId, Object targetNodeId, ArcId arcId)

  - ### ArcDeleteOperation

    public ArcDeleteOperation(Object nodeId, Object targetNodeId, ArcId arcId, int diffId)

- ## Method Details

  - ### apply

    public void apply(GraphChangeHandler tracker)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to "replay" this change.
    Specified by:
      `apply` in interface `GraphDiff`
    Specified by:
      `apply` in class `NodeDiff`

  - ### undo

    public void undo(GraphChangeHandler tracker)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to revert this change.
    Specified by:
      `undo` in interface `GraphDiff`
    Specified by:
      `undo` in class `NodeDiff`

  - ### getArcId

    public Object getArcId()

  - ### getTargetNodeId

    public Object getTargetNodeId()